Eclipse GEF 3.3

## org.eclipse.gef.handles
Class SquareHandle

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.gef.handles.AbstractHandle
              org.eclipse.gef.handles.SquareHandle

All Implemented Interfaces:
  AncestorListener, Handle, IFigure

Direct Known Subclasses:
  ConnectionHandle, ResizeHandle

public abstract class SquareHandle
extends AbstractHandle

A small square handle approximately 7x7 pixels in size, that is either black or white.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary
`protected static int` `DEFAULT_HANDLE_SIZE` The default size for square handles.

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`SquareHandle()` Null constructor
`SquareHandle(GraphicalEditPart owner, Locator loc)` Creates a SquareHandle for the given `GraphicalEditPart` with the given `Locator`.
`SquareHandle(GraphicalEditPart owner, Locator loc, Cursor c)` Creates a SquareHandle for the given `GraphicalEditPart` with the given `Cursor` using the given `Locator`.

Method Summary
`protected Color` `getBorderColor()` Returns the color for the outside of the handle.
`protected Color` `getFillColor()` Returns the color for the inside of the handle.
`protected void` `init()` Initializes the handle.
`protected boolean` `isPrimary()` Returns `true` if the handle's owner is the primary selection.
`void` `paintFigure(Graphics g)` Draws the handle with fill color and outline color dependent on the primary selection status of the owner editpart.

Methods inherited from class org.eclipse.gef.handles.AbstractHandle
`addNotify, ancestorAdded, ancestorMoved, ancestorRemoved, createDragTracker, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, removeNotify, setDragCursor, setDragTracker, setLocator, setOwner, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HANDLE_SIZE

    protected static final int DEFAULT_HANDLE_SIZE

  The default size for square handles.

  See Also:
    Constant Field Values

Constructor Detail

### SquareHandle

    public SquareHandle()

  Null constructor

### SquareHandle

    public SquareHandle(GraphicalEditPart owner,
                        Locator loc)

  Creates a SquareHandle for the given `GraphicalEditPart` with the given `Locator`.

Parameters:
  `owner` - the owner
  `loc` - the locator

### SquareHandle

    public SquareHandle(GraphicalEditPart owner,
                        Locator loc,
                        Cursor c)

  Creates a SquareHandle for the given `GraphicalEditPart` with the given `Cursor` using the given `Locator`.

Parameters:
  `owner` - The editpart which provided this handle
  `loc` - The locator to position the handle
  `c` - The cursor to display when the mouse is over the handle

Method Detail

### getBorderColor

    protected Color getBorderColor()

  Returns the color for the outside of the handle.

  Returns:
    the color for the border

### getFillColor

    protected Color getFillColor()

  Returns the color for the inside of the handle.

  Returns:
    the color of the handle

### init

    protected void init()

  Initializes the handle.

### isPrimary

    protected boolean isPrimary()

  Returns `true` if the handle's owner is the primary selection.

  Returns:
    `true` if the handles owner has primary selection.

### paintFigure

    public void paintFigure(Graphics g)

  Draws the handle with fill color and outline color dependent on the primary selection status of the owner editpart.

  Parameters:
    `g` - The graphics used to paint the figure.

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.